package dto

// WorkspaceIDParam 工作空间 ID 参数
type WorkspaceIDParam struct {
	ID EntityId `params:"id"`
}

// WorkspaceMemberParam 工作空间成员参数
type WorkspaceMemberParam struct {
	WorkspaceID EntityId `params:"id"`
	UserID      string   `params:"user_id"`
}

// CollectionIDParam 集合 ID 参数
type CollectionIDParam struct {
	ID EntityId `params:"id"`
}

// DocumentIDParam 文档 ID 参数
type DocumentIDParam struct {
	ID EntityId `params:"id"`
}

// BlockIDParam 文档块 ID 参数
type BlockIDParam struct {
	ID EntityId `params:"block_id"`
}
